Skip to main content
GET
/
v1
/
issuing
/
balances
/
transactions
List Issuing Balances Transactions
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/balances/transactions \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 1,
  "total_items": 10,
  "data": [
    {
      "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
      "short_transaction_id": "CT2024-03-01",
      "account_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "balance_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "transaction_type": "DEPOSIT",
      "currency": "USD",
      "amount": 100.02,
      "create_time": "2024-03-21T17:17:32+08:00",
      "complete_time": "2024-03-21T17:17:32+08:00",
      "transaction_status": "PENDING",
      "ending_balance": 100.02,
      "description": "Creation card, fee"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
start_time
string

The earliest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

Example:

"2024-03-21T17:17:32+08:00"

end_time
string

The latest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

Example:

"2024-03-21T17:17:32+08:00"

transaction_type
enum<string>

Transaction type filter for issuing balance transactions.

Available options:
ISSUING_AUTHORIZATION,
ISSUING_REVERSAL,
ISSUING_REFUND,
CARD_RECHARGE,
CARD_WITHDRAW,
FEE,
DEPOSIT,
TRANSFER_IN,
TRANSFER_OUT,
SETTLEMENT_DEBIT,
SETTLEMENT_CREDIT,
ADJUSTMENT,
FUNDS_TRANSFER_IN,
FUNDS_TRANSFER_OUT,
FEE_REFUND,
FEE_DEDUCTION,
MARGIN_PAYMENT,
MARGIN_REFUND,
OTHER,
SETTLEMENT_REVERSAL,
REFUND
Example:

"DEPOSIT"

transaction_status
enum<string>

Transaction status filter for issuing balance transactions.

Available options:
COMPLETED,
PENDING,
FAILED
Example:

"COMPLETED"

currency
string

Currency filter. Three-letter ISO 4217 currency code.

Example:

"USD"

transaction_id
string<uuid>

Transaction ID filter (long ID). Unique Identifier for transaction.

Example:

"5135e6cc-28b6-4889-81dc-3b86a09e1395"

Response

OK - Balances transactions returned successfully.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]